Page MenuHomePhabricator

Implement a way to nest toolbar groups without implementing nesting of toolbar groups
Closed, ResolvedPublic8 Story Points

Description

Trevor's design mockup:

Event Timeline

matmarex claimed this task.
matmarex raised the priority of this task from to High.
matmarex updated the task description. (Show Details)
matmarex added projects: VisualEditor, OOUI.
matmarex added a subscriber: TrevorParscal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 11:33 PM

I don't think the mockup is going to work well in practice, and it would be difficult to implement with the current toolbar code. But there's plenty of unnecessary whitespace we can squish.

Change 193282 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Scrollbar squishing

https://gerrit.wikimedia.org/r/193282

Change 193282 abandoned by Bartosz Dziewoński:
[WIP] Scrollbar squishing

https://gerrit.wikimedia.org/r/193282

matmarex renamed this task from Implement a way to squish toolbars when there's not enough horizontal space to Implement a way to nest toolbar groups without implementing nesting of toolbar groups.Feb 27 2015, 7:31 PM
matmarex updated the task description. (Show Details)
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.

Change 193484 had a related patch set uploaded (by Bartosz Dziewoński):
Fake toolbar group nesting

https://gerrit.wikimedia.org/r/193484

Change 193282 restored by Bartosz Dziewoński:
[WIP] Scrollbar squishing

Reason:
For T52227.

https://gerrit.wikimedia.org/r/193282

Jdforrester-WMF lowered the priority of this task from High to Low.Mar 3 2015, 5:54 PM
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.

Change 193484 merged by jenkins-bot:
Fake toolbar group nesting

https://gerrit.wikimedia.org/r/193484

Jdforrester-WMF closed this task as Resolved.Mar 4 2015, 11:06 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 5 2015, 1:42 AM

Change 194526 had a related patch set uploaded (by Bartosz Dziewoński):
Fold text style dropdown into basic text style bar in toolbar

https://gerrit.wikimedia.org/r/194526

Change 194526 merged by jenkins-bot:
Fold text style dropdown into basic text style bar in toolbar

https://gerrit.wikimedia.org/r/194526

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:55 PM